petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSComputeI2Function

Evaluates the DAE residual written in implicit form F(t,U,U_t,U_tt) = 0

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeI2Function(TS ts,PetscReal t,Vec U,Vec V,Vec A,Vec F)

Collective on TS and Vec

### Input Parameters

| ts | - the TS context
| t | - current time
| U | - state vector
| V | - time derivative of state vector (U_t)
| A | - second time derivative of state vector (U_tt)

### Output Parameter

F -the residual vector

### Note

Most users should not need to explicitly call this routine, as it is used internally within the nonlinear solvers.

### Keywords

TS, compute, function, vector

### See Also

TSSetI2Function()

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages